STOFFGraphicEncoder Class Reference documentation

STOFFGraphicEncoder Class Reference

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <STOFFGraphicEncoder.hxx>`

Inheritance diagram for STOFFGraphicEncoder:

## Public Member Functions
| STOFFGraphicEncoder ()
| constructor
| ~STOFFGraphicEncoder ()
| destructor
bool | getBinaryResult (STOFFEmbeddedObject &result)
| return the final graphic
void | startDocument (const ::librevenge::RVNGPropertyList &propList)
void | endDocument ()
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
void | startPage (const ::librevenge::RVNGPropertyList &propList)
void | endPage ()
void | startMasterPage (const ::librevenge::RVNGPropertyList &propList)
void | endMasterPage ()
void | setStyle (const ::librevenge::RVNGPropertyList &propList)
void | startLayer (const ::librevenge::RVNGPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | openGroup (const ::librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList)
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList)
void | drawPolygon (const ::librevenge::RVNGPropertyList &vertices)
void | drawPolyline (const ::librevenge::RVNGPropertyList &vertices)
void | drawPath (const ::librevenge::RVNGPropertyList &path)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList)
void | startTextObject (const ::librevenge::RVNGPropertyList &propList)
void | endTextObject ()
void | startTableObject (const librevenge::RVNGPropertyList &propList)
void | endTableObject ()
void | openTableRow (const librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | insertTab ()
void | insertSpace ()
void | insertText (const librevenge::RVNGString &text)
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()

## Protected Attributes
shared_ptr< STOFFGraphicEncoderInternal::State > | m_state
| the actual state

## Detailed Description

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData.

See also
  STOFFGraphicDecoder can be used to decode back the pictures...

      \note as this class implements the functions librevenge::RVNGDrawingInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

## ◆ STOFFGraphicEncoder()

STOFFGraphicEncoder::STOFFGraphicEncoder | ( |  | ) |

constructor

## ◆ ~STOFFGraphicEncoder()

STOFFGraphicEncoder::~STOFFGraphicEncoder | ( |  | ) |

destructor

## Member Function Documentation

## ◆ closeGroup()

void STOFFGraphicEncoder::closeGroup | ( |  | ) |

## ◆ closeLink()

void STOFFGraphicEncoder::closeLink | ( |  | ) |

## ◆ closeListElement()

void STOFFGraphicEncoder::closeListElement | ( |  | ) |

## ◆ closeOrderedListLevel()

void STOFFGraphicEncoder::closeOrderedListLevel | ( |  | ) |

## ◆ closeParagraph()

void STOFFGraphicEncoder::closeParagraph | ( |  | ) |

## ◆ closeSpan()

void STOFFGraphicEncoder::closeSpan | ( |  | ) |

## ◆ closeTableCell()

void STOFFGraphicEncoder::closeTableCell | ( |  | ) |

## ◆ closeTableRow()

void STOFFGraphicEncoder::closeTableRow | ( |  | ) |

## ◆ closeUnorderedListLevel()

void STOFFGraphicEncoder::closeUnorderedListLevel | ( |  | ) |

## ◆ defineCharacterStyle()

void STOFFGraphicEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineEmbeddedFont()

void STOFFGraphicEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineParagraphStyle()

void STOFFGraphicEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawConnector()

void STOFFGraphicEncoder::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawEllipse()

void STOFFGraphicEncoder::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawGraphicObject()

void STOFFGraphicEncoder::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPath()

void STOFFGraphicEncoder::drawPath | ( | const ::librevenge::RVNGPropertyList & | path | ) |

## ◆ drawPolygon()

void STOFFGraphicEncoder::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | vertices | ) |

## ◆ drawPolyline()

void STOFFGraphicEncoder::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | vertices | ) |

## ◆ drawRectangle()

void STOFFGraphicEncoder::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ endDocument()

void STOFFGraphicEncoder::endDocument | ( |  | ) |

## ◆ endEmbeddedGraphics()

void STOFFGraphicEncoder::endEmbeddedGraphics | ( |  | ) |

## ◆ endLayer()

void STOFFGraphicEncoder::endLayer | ( |  | ) |

## ◆ endMasterPage()

void STOFFGraphicEncoder::endMasterPage | ( |  | ) |

## ◆ endPage()

void STOFFGraphicEncoder::endPage | ( |  | ) |

## ◆ endTableObject()

void STOFFGraphicEncoder::endTableObject | ( |  | ) |

## ◆ endTextObject()

void STOFFGraphicEncoder::endTextObject | ( |  | ) |

## ◆ getBinaryResult()

bool STOFFGraphicEncoder::getBinaryResult | ( | STOFFEmbeddedObject & | result | ) |

return the final graphic

Referenced by StarFileManager::readOLEDirectory().

## ◆ insertCoveredTableCell()

void STOFFGraphicEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertField()

void STOFFGraphicEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertLineBreak()

void STOFFGraphicEncoder::insertLineBreak | ( |  | ) |

## ◆ insertSpace()

void STOFFGraphicEncoder::insertSpace | ( |  | ) |

## ◆ insertTab()

void STOFFGraphicEncoder::insertTab | ( |  | ) |

## ◆ insertText()

void STOFFGraphicEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |

## ◆ openGroup()

void STOFFGraphicEncoder::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openLink()

void STOFFGraphicEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openListElement()

void STOFFGraphicEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openOrderedListLevel()

void STOFFGraphicEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openParagraph()

void STOFFGraphicEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSpan()

void STOFFGraphicEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableCell()

void STOFFGraphicEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableRow()

void STOFFGraphicEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openUnorderedListLevel()

void STOFFGraphicEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ setDocumentMetaData()

void STOFFGraphicEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ setStyle()

void STOFFGraphicEncoder::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startDocument()

void STOFFGraphicEncoder::startDocument | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startEmbeddedGraphics()

void STOFFGraphicEncoder::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startLayer()

void STOFFGraphicEncoder::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startMasterPage()

void STOFFGraphicEncoder::startMasterPage | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startPage()

void STOFFGraphicEncoder::startPage | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startTableObject()

void STOFFGraphicEncoder::startTableObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ startTextObject()

void STOFFGraphicEncoder::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

## ◆ m_state

shared_ptr<STOFFGraphicEncoderInternal::State> STOFFGraphicEncoder::m_state
| protected

the actual state

Referenced by closeGroup(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endEmbeddedGraphics(), endLayer(), endMasterPage(), endPage(), endTableObject(), endTextObject(), getBinaryResult(), insertCoveredTableCell(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openGroup(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), startEmbeddedGraphics(), startLayer(), startMasterPage(), startPage(), startTableObject(), startTextObject(), and STOFFGraphicEncoder().

The documentation for this class was generated from the following files:

- STOFFGraphicEncoder.hxx
- STOFFGraphicEncoder.cxx